<div class="summary" *ngIf="forecast" (click)="toggleHourly()">
    <div class="city-name">{{forecast.city.name}}</div>

    <div class="remove-btn" (click)="remove(); $event.stopPropagation();"
         title="Remove forecast for {{forecast.city.name}}"
         i18n="Weather widget|Remove city">Remove</div>

    <div class="weather-data" *ngIf="forecast && !forecast.loading else preloader">
        <ng-container *ngIf="current else error">
            <div class="icon"><img src="{{current.iconUrl}}" alt="{{current.description}}"></div>
            <div class="temperature">{{current.temperature | kelvinToCelsius | number: '1.0-0' }}</div>
            <div class="metrics">
                <div class="description">{{current.description}}</div>
                <div class="wind">
                    <ng-container i18n="Weather widget|Wind speed">wind</ng-container>:
                    {{current.windSpeed | number: '1.0-0' }}
                    <ng-container i18n="Weather widget|Meters per second">m/s</ng-container>
                    <lib-wind-direction class="wind-direction"
                                        [speed]="current.windSpeed"
                                        [deg]="current.windDirection">
                    </lib-wind-direction>
                </div>
            </div>
        </ng-container>
    </div>

    <ng-template #preloader>
        <ng-container i18n="Weather widget|Weather loading">loading...</ng-container>
    </ng-template>

    <ng-template #error>
        <ng-container i18n="Weather widget|Weather error message">error: {{forecast.error.toString()}}</ng-container>
    </ng-template>
</div>

<div class="hourly" *ngIf="displayHourly && hourly" [@slideInOut]>
    <lib-hour-summary *ngFor="let summary of hourly" [summary]="summary"></lib-hour-summary>
</div>
